Get Appointments for Contact

http
GET https://services.leadconnectorhq.com/contacts/{contactId}/appointments

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
contactIdstringYessx6wyHhbFdRXh302LLNRContact Id

Responses

200 - Successful response
  • events (object[])

    • id (string): Example: YS3jaqqeehkR2Is80miy

    • calendarId (string): Example: YlWd2wuCAZQzh2cH1fVZ

    • status (string): Example: booked

    • title (string): Example: Test

    • assignedUserId (string): Example: YlWd2wuCAZQzh2cH1fVZ

    • notes (string): Example: test

    • startTime (string): Example: 2021-07-16 11:00:00

    • endTime (string): Example: 2021-07-16 11:30:00

    • address (string): Example: Address

    • locationId (string): Example: YlWd2wuCAZQzh2cH1fVZ

    • contactId (string): Example: YlWd2wuCAZQzh2cH1fVZ

    • groupId (string): Example: YlWd2wuCAZQzh2cH1fVZ

    • appointmentStatus (string): Example: booked

    • users (string[])

    • dateAdded (string): Example: 2021-07-16 11:00:00

    • dateUpdated (string): Example: 2021-07-16 11:30:00

    • assignedResources (string[])

json
{
  "events": [
    {
      "id": "YS3jaqqeehkR2Is80miy",
      "calendarId": "YlWd2wuCAZQzh2cH1fVZ",
      "status": "booked",
      "title": "Test",
      "assignedUserId": "YlWd2wuCAZQzh2cH1fVZ",
      "notes": "test",
      "startTime": "2021-07-16 11:00:00",
      "endTime": "2021-07-16 11:30:00",
      "address": "Address",
      "locationId": "YlWd2wuCAZQzh2cH1fVZ",
      "contactId": "YlWd2wuCAZQzh2cH1fVZ",
      "groupId": "YlWd2wuCAZQzh2cH1fVZ",
      "appointmentStatus": "booked",
      "users": [
        "YlWd2wuCAZQzh2cH1fVZ",
        "YlWd2wuCAZQzh2cH1fVZ"
      ],
      "dateAdded": "2021-07-16 11:00:00",
      "dateUpdated": "2021-07-16 11:30:00",
      "assignedResources": [
        "YlWd2wuCAZQzh2cH1fVZ",
        "YlWd2wuCAZQzh2cH1fVZ"
      ]
    }
  ]
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X GET 'https://services.leadconnectorhq.com/contacts/YOUR_contactId/appointments' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'

Last updated October 26, 2026

Was this page helpful?